Bug 102800 - kompare after closed continues appearing in next login
Summary: kompare after closed continues appearing in next login
Status: RESOLVED FIXED
Alias: None
Product: kompare
Classification: Unclassified
Component: general (show other bugs)
Version: 3.4
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Kompare developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-29 22:48 UTC by
Modified: 2009-02-19 01:17 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description 2005-03-29 22:48:36 UTC
Version:           3.4 (using KDE 3.4.0, Mandrake Linux Cooker i586 - Cooker)
Compiler:          gcc version 3.4.3 (Mandrakelinux 10.2 3.4.3-7mdk)
OS:                Linux (i686) release 2.6.11-6mdk

If i use kompare in one session and then close it, it continues appearing in next login.
weird...
Comment 1 Jeff Snyder 2005-06-06 21:43:54 UTC
This is gonna be a little spammy... I'm reassigning everything that's currently 
assigned to bruggie (who's been the default assignee for bugs since time began) 
to the new list address. 
 
Bruggie: if you're working on one or more of these atm, please snatch 'em 
back.. 
 
Everyone, esp. Joshua and Bruggie: if this genrates 33 mails, my sincere 
apologies.. 
Comment 2 Otto Bruggeman 2009-02-18 22:34:20 UTC
SVN commit 928082 by bruggie:

BUG: 165421 Actually give a QWidget* wehn asked for one and not cast a QObject* to a QWidget*, that does not work...
BUG: 174924 Most likely fixed as well due to removing the "delete this" which is pure evil
BUG: 103651 A missing KGlobal::deref() seems to have caused kompare to stay around without visible windows.
BUG: 102800 Same for this one, due to the missing deref kompare never fully quit and the session was saved and restored on next login.

Many many cleanups and many dialog created on the heap are not created on the stack whereever possible.
Updated most headers with the updated copyright year and a new email address.

Next time i'll try to split it up in seperate commits.


 M  +34 -30    kompare_shell.cpp  
 M  +7 -3      komparenavtreepart/komparenavtreepart.cpp  
 M  +9 -9      komparepart/kompare_part.cpp  
 M  +2 -2      komparepart/kompare_part.h  
 M  +3 -0      komparepart/kompareconnectwidget.cpp  
 M  +36 -16    komparepart/komparelistview.cpp  
 M  +12 -1     komparepart/komparelistview.h  
 M  +1 -3      kompareurldialog.cpp  
 M  +3 -1      libdiff2/difference.cpp  
 M  +5 -2      libdiff2/difference.h  
 M  +2 -1      libdiff2/diffhunk.cpp  
 M  +2 -2      libdiff2/diffhunk.h  
 M  +4 -29     libdiff2/diffmodel.cpp  
 M  +3 -6      libdiff2/diffmodel.h  
 M  +1 -1      libdiff2/diffmodellist.cpp  
 M  +4 -2      libdiff2/diffmodellist.h  
 M  +28 -25    libdiff2/komparemodellist.cpp  
 M  +3 -1      libdiff2/komparemodellist.h  
 M  +2 -1      libdiff2/kompareprocess.cpp  
 M  +5 -1      libdiff2/parserbase.cpp  
 M  +22 -27    main.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=928082
Comment 3 Kevin Kofler 2009-02-19 01:17:31 UTC
SVN commit 928150 by kkofler:

Mass backport of Kompare bugfixes for KDE 4.2.1 (should not touch any translatable strings): backport revisions 913308, 913309, 922431 (Kompare only), 924527, 924539, 924540, 924880, 924959, 924960, 925266, 926028, 926131, 926143, 926225, 928082 (minus i18n string changes), 928141, 928146 from trunk.
CCBUG: 176804
CCBUG: 169692
CCBUG: 182792
CCBUG: 176797
CCBUG: 175251
CCBUG: 75794
CCBUG: 89781
CCBUG: 145956
CCBUG: 107489
CCBUG: 165421
CCBUG: 174924
CCBUG: 103651
CCBUG: 102800
CCMAIL: bruggie@gmail.com

Bump Kompare version from 3.5.2 to 3.5.3 (trunk is 4.0.0).

Tested on Fedora 9 i386, KDE 4.2.0.

Note: skipped revision 926198 because it introduces a string and #124121 is more a user error than a bug anyway.

 M  +34 -30    kompare_shell.cpp  
 M  +18 -3     komparenavtreepart/komparenavtreepart.cpp  
 M  +15 -12    komparepart/kompare_part.cpp  
 M  +2 -2      komparepart/kompare_part.h  
 M  +9 -6      komparepart/kompareconnectwidget.cpp  
 M  +80 -31    komparepart/komparelistview.cpp  
 M  +26 -5     komparepart/komparelistview.h  
 M  +2 -2      komparepart/kompareprefdlg.cpp  
 M  +4 -1      komparepart/kompareprefdlg.h  
 M  +1 -1      komparepart/komparesplitter.cpp  
 M  +2 -1      libdialogpages/diffpage.cpp  
 M  +4 -3      libdialogpages/diffpage.h  
 M  +14 -4     libdialogpages/filespage.cpp  
 M  +4 -4      libdialogpages/filespage.h  
 M  +10 -8     libdiff2/difference.cpp  
 M  +5 -2      libdiff2/difference.h  
 M  +2 -1      libdiff2/diffhunk.cpp  
 M  +2 -2      libdiff2/diffhunk.h  
 M  +5 -30     libdiff2/diffmodel.cpp  
 M  +3 -6      libdiff2/diffmodel.h  
 M  +1 -1      libdiff2/diffmodellist.cpp  
 M  +4 -2      libdiff2/diffmodellist.h  
 M  +34 -31    libdiff2/komparemodellist.cpp  
 M  +3 -1      libdiff2/komparemodellist.h  
 M  +2 -1      libdiff2/kompareprocess.cpp  
 M  +53 -17    libdiff2/levenshteintable.cpp  
 M  +5 -1      libdiff2/parserbase.cpp  
 M  +21 -26    main.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=928150